Get all Transactions
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": "1500",
"assetCode": "BRL",
"createdAt": "2021-01-01T00:00:00Z",
"credit": [
"@person2"
],
"debit": [
"@person1"
],
"deletedAt": "2021-01-01T00:00:00Z",
"description": "Transaction description",
"feesSkipped": false,
"id": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"operations": [
{
"accountAlias": "@person1",
"accountId": "00000000-0000-0000-0000-000000000000",
"amount": {
"value": "1500"
},
"assetCode": "BRL",
"balance": {
"available": "1500",
"onHold": "500",
"overdraftUsed": "130",
"version": 2
},
"balanceAffected": true,
"balanceAfter": {
"available": "1500",
"onHold": "500",
"overdraftUsed": "130",
"version": 2
},
"balanceId": "00000000-0000-0000-0000-000000000000",
"balanceKey": "asset-freeze",
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"description": "Credit card operation",
"id": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"organizationId": "00000000-0000-0000-0000-000000000000",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"transactionId": "00000000-0000-0000-0000-000000000000",
"type": "DEBIT",
"updatedAt": "2021-01-01T00:00:00Z",
"direction": "debit",
"routeCode": "ROUTE-001",
"routeDescription": "Settlement route for service charges",
"routeId": "00000000-0000-0000-0000-000000000000"
}
],
"organizationId": "00000000-0000-0000-0000-000000000000",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"tracerSkipped": false,
"updatedAt": "2021-01-01T00:00:00Z",
"groupId": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"parentTransactionId": "00000000-0000-0000-0000-000000000000",
"routeId": "00000000-0000-0000-0000-000000000000"
}
],
"limit": 10,
"next_cursor": "eyJpZCI6IjAxOTI...",
"page": 1,
"prev_cursor": "eyJpZCI6IjAxOTE..."
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get all Transactions
GET
/
v2
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
Get all Transactions
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/ledgers/{ledger_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": "1500",
"assetCode": "BRL",
"createdAt": "2021-01-01T00:00:00Z",
"credit": [
"@person2"
],
"debit": [
"@person1"
],
"deletedAt": "2021-01-01T00:00:00Z",
"description": "Transaction description",
"feesSkipped": false,
"id": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"operations": [
{
"accountAlias": "@person1",
"accountId": "00000000-0000-0000-0000-000000000000",
"amount": {
"value": "1500"
},
"assetCode": "BRL",
"balance": {
"available": "1500",
"onHold": "500",
"overdraftUsed": "130",
"version": 2
},
"balanceAffected": true,
"balanceAfter": {
"available": "1500",
"onHold": "500",
"overdraftUsed": "130",
"version": 2
},
"balanceId": "00000000-0000-0000-0000-000000000000",
"balanceKey": "asset-freeze",
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"description": "Credit card operation",
"id": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"organizationId": "00000000-0000-0000-0000-000000000000",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"transactionId": "00000000-0000-0000-0000-000000000000",
"type": "DEBIT",
"updatedAt": "2021-01-01T00:00:00Z",
"direction": "debit",
"routeCode": "ROUTE-001",
"routeDescription": "Settlement route for service charges",
"routeId": "00000000-0000-0000-0000-000000000000"
}
],
"organizationId": "00000000-0000-0000-0000-000000000000",
"status": {
"code": "ACTIVE",
"description": "Active status"
},
"tracerSkipped": false,
"updatedAt": "2021-01-01T00:00:00Z",
"groupId": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"parentTransactionId": "00000000-0000-0000-0000-000000000000",
"routeId": "00000000-0000-0000-0000-000000000000"
}
],
"limit": 10,
"next_cursor": "eyJpZCI6IjAxOTI...",
"page": 1,
"prev_cursor": "eyJpZCI6IjAxOTE..."
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Ledger ID (UUID)
Query Parameters
JSON string to filter transactions by metadata fields
Max items per page (1-100, default 10)
Filter transactions created on/after this date
Filter transactions created on/before this date
Sort direction (asc, desc)
Pagination cursor
Filter transactions by atomic cross-ledger group UUID
Was this page helpful?

